#!/bin/bash

CONF_FILE=/etc/squid2/squid.conf
if [ ! -f $CONF_FILE ]; then
    # silently exit if no configuration file
    exit 0
fi
CACHE_LOG="`awk '$1 == "cache_log" {x=$2} END{print x}' $CONF_FILE`"
if [ -z "$CACHE_LOG" ]; then
    # silently exit if no cache_log setting in the configuration file
    # squid won't start without it
    exit 0
fi
LOGFILE="`dirname $CACHE_LOG`/squidcron.log"

date >> $LOGFILE

# Read LARGE_ACCESS_LOG and SQUID_ variable settings from one of these files.
# Note that they need to be preceded by "export" to be usable.
if [ -f /etc/sysconfig/frontier-squid2 ]; then
    eval `egrep "(LARGE_ACCESS_LOG|SQUID_)" /etc/sysconfig/frontier-squid2`
elif [ -f /etc/sysconfig/frontier-squid2.sh ]; then
    eval `egrep "(LARGE_ACCESS_LOG|SQUID_)" /etc/sysconfig/frontier-squid2.sh`
fi
/usr/sbin/fn-local-squid2.sh rotateiflarge >> $LOGFILE 2>&1
